| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
SCTPGraphArwndDialog Class Reference

Dialog that plots the advertised receiver window (ARWND) over time for a single direction of an SCTP association. More...

`#include <sctp_graph_arwnd_dialog.h>`

Inheritance diagram for SCTPGraphArwndDialog:

## Public Slots
void | setCaptureFile (capture_file *cf)
| Updates the capture file pointer, e.g. after a file is closed or reloaded.

## Public Member Functions
| SCTPGraphArwndDialog (QWidget *parent=0, const _sctp_assoc_info *assoc=NULL, capture_file *cf=NULL, int dir=0)
| Constructs an SCTPGraphArwndDialog and renders the initial ARWND graph.
| ~SCTPGraphArwndDialog ()
| Destroys the dialog and releases the associated UI resources.

## Detailed Description

Dialog that plots the advertised receiver window (ARWND) over time for a single direction of an SCTP association.

## Constructor & Destructor Documentation

## ◆ SCTPGraphArwndDialog()

SCTPGraphArwndDialog::SCTPGraphArwndDialog | ( | QWidget * | parent = 0,
|  | const _sctp_assoc_info * | assoc = NULL,
|  | capture_file * | cf = NULL,
|  | int | dir = 0 )
| explicit

Constructs an SCTPGraphArwndDialog and renders the initial ARWND graph.

Parameters

  parent | Optional parent widget.
  assoc | SCTP association whose ARWND data is to be plotted; may be `NULL`.
  cf | Capture file containing the association's packets; may be `NULL`.
  dir | Direction index (0 or 1) selecting which endpoint's ARWND to display.

## Member Function Documentation

## ◆ setCaptureFile

void SCTPGraphArwndDialog::setCaptureFile | ( | capture_file * | cf | ) |
| inline slot

Updates the capture file pointer, e.g. after a file is closed or reloaded.

Parameters

  cf | New capture file pointer; may be `NULL`.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/sctp_graph_arwnd_dialog.h
- /builds/wireshark/wireshark/ui/qt/sctp_graph_arwnd_dialog.cpp